# TableBox class

inherited from: | Box
protocols: | AutoRelease
package: | gui
declared in: | gui/interface/TableBox.tcl
implemented in: | gui/implementation/TableBox.tcl

- instance variables
  - counter
  - headers
  - main
  - rowOfSelection
  - separator
  - xscroll
  - yscroll
- instance selectors
  - add:
  - addColumn:
  - columns
  - columns:
  - content
  - deleteRow:
  - insert:atRow:
  - loadFromFile:
  - onSelection
  - onSelection:
  - row:
  - rowOfSelection
  - rowOfSelection:
  - selection
  - selectionChange
  - separator
  - separator:
  - xview
  - yview